ketai.net.bluetooth

## Class KBluetoothListener

- java.lang.Object
- - java.lang.Thread
  - - ketai.net.bluetooth.KBluetoothListener

- All Implemented Interfaces:
    java.lang.Runnable

      public class KBluetoothListener
      extends java.lang.Thread

  The listener interface for receiving KBluetooth events. The class that is interested in processing a KBluetooth event implements this interface, and the object created with that class is registered with a component using the component's `addKBluetoothListener`method. When the KBluetooth event occurs, that object's appropriate method is invoked.``
  See Also:
    `KBluetoothEvent`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KBluetoothListener(KetaiBluetooth btm, boolean secure)` Instantiates a new k bluetooth listener.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancel-close out resources
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KBluetoothListener

          public KBluetoothListener(KetaiBluetooth btm,
                                    boolean secure)

      Instantiates a new k bluetooth listener.
      Parameters:
        `btm` - the Bluetooth Managing class
        `secure` - secure setting

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### cancel

          public void cancel()

      Cancel-close out resources